zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvjust.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvjust.c File Reference
`#include "gxvalid.h"`
`#include "gxvcommn.h"`
`#include <FT_SFNT_NAMES_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvjust
#define | GXV_JUST_DATA(a) GXV_TABLE_DATA( just, a )

## Typedefs

typedef struct GXV_just_DataRec_ * | GXV_just_Data
typedef struct GXV_just_DataRec_ | GXV_just_DataRec

## Functions

static void | gxv_just_actSubrecord_type0_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_actSubrecord_type1_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_actSubrecord_type2_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_actSubrecord_type4_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_actSubrecord_type5_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_actSubrecord_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_check_max_gid (FT_UShort gid, const FT_String *msg_tag, GXV_Validator valid)
static void | gxv_just_classTable_entry_validate (FT_Byte state, FT_UShort flags, GXV_StateTable_GlyphOffsetCPtr glyphOffset_p, FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_justClassTable_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_justData_lookuptable_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_justData_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_pcActionRecord_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_pcLookupTable_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_pcTable_LookupValue_entry_validate (FT_UShort glyph, GXV_LookupValueCPtr value_p, GXV_Validator valid)
static void | gxv_just_postcompTable_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_just_validate (FT_Bytes table, FT_Face face, FT_Validator ftvalid)
static void | gxv_just_wdc_entry_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_wdcTable_LookupValue_validate (FT_UShort glyph, GXV_LookupValueCPtr value_p, GXV_Validator valid)
static void | gxv_just_wdp_entry_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_just_widthDeltaClusters_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvjust

Definition at line 40 of file gxvjust.c.

#define GXV_JUST_DATA | ( |  | a | ) | GXV_TABLE_DATA( just, a )

Definition at line 65 of file gxvjust.c.

Referenced by gxv_just_justData_lookuptable_validate(), gxv_just_pcLookupTable_validate(), gxv_just_pcTable_LookupValue_entry_validate(), gxv_just_wdcTable_LookupValue_validate(), and gxv_just_widthDeltaClusters_validate().

## Typedef Documentation

typedef struct GXV_just_DataRec_ * GXV_just_Data

typedef struct GXV_just_DataRec_ GXV_just_DataRec

## Function Documentation

static void gxv_just_actSubrecord_type0_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 177 of file gxvjust.c.

References FT_INVALID_DATA, FT_NEXT_ULONG, FT_NEXT_USHORT, gxv_just_check_max_gid(), GXV_LIMIT_CHECK, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, i, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_actSubrecord_validate().

static void gxv_just_actSubrecord_type1_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 225 of file gxvjust.c.

References FT_NEXT_USHORT, gxv_just_check_max_gid(), GXV_LIMIT_CHECK, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_actSubrecord_validate().

static void gxv_just_actSubrecord_type2_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 243 of file gxvjust.c.

References FT_NEXT_ULONG, FT_NEXT_USHORT, gxv_just_check_max_gid(), GXV_LIMIT_CHECK, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_actSubrecord_validate().

static void gxv_just_actSubrecord_type4_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 274 of file gxvjust.c.

References FT_INVALID_DATA, FT_NEXT_ULONG, GXV_LIMIT_CHECK, GXV_TRACE, IS_PARANOID_VALIDATION, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_actSubrecord_validate().

static void gxv_just_actSubrecord_type5_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 311 of file gxvjust.c.

References FT_NEXT_USHORT, gxv_just_check_max_gid(), GXV_LIMIT_CHECK, GXV_TRACE, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_actSubrecord_validate().

static void gxv_just_actSubrecord_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 335 of file gxvjust.c.

References FT_INVALID_DATA, FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_EXIT, gxv_just_actSubrecord_type0_validate(), gxv_just_actSubrecord_type1_validate(), gxv_just_actSubrecord_type2_validate(), gxv_just_actSubrecord_type4_validate(), gxv_just_actSubrecord_type5_validate(), GXV_LIMIT_CHECK, GXV_NAME_ENTER, GXV_SET_ERR_IF_PARANOID, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_pcActionRecord_validate().

static void gxv_just_check_max_gid | ( | FT_UShort | gid,
|  | const FT_String * | msg_tag,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 70 of file gxvjust.c.

References GXV_ValidatorRec_::face, FT_INVALID_GLYPH_ID, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, and FT_FaceRec_::num_glyphs.

Referenced by gxv_just_actSubrecord_type0_validate(), gxv_just_actSubrecord_type1_validate(), gxv_just_actSubrecord_type2_validate(), and gxv_just_actSubrecord_type5_validate().

static void gxv_just_classTable_entry_validate | ( | FT_Byte | state,
|  | FT_UShort | flags,
|  | GXV_StateTable_GlyphOffsetCPtr | glyphOffset_p,
|  | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 463 of file gxvjust.c.

References FT_UNUSED.

Referenced by gxv_just_justClassTable_validate().

static void gxv_just_justClassTable_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 497 of file gxvjust.c.

References GXV_StateTable_ValidatorRec_::entry_glyphoffset_fmt, GXV_StateTable_ValidatorRec_::entry_validate_func, FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_EXIT, GXV_GLYPHOFFSET_NONE, gxv_just_classTable_entry_validate(), GXV_LIMIT_CHECK, GXV_NAME_ENTER, gxv_StateTable_validate(), GXV_TRACE, NULL, GXV_StateTable_ValidatorRec_::optdata, GXV_StateTable_ValidatorRec_::optdata_load_func, GXV_ValidatorRec_::statetable, and GXV_StateTable_ValidatorRec_::subtable_setup_func.

Referenced by gxv_just_justData_validate().

static void gxv_just_justData_lookuptable_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 554 of file gxvjust.c.

References GXV_EXIT, GXV_JUST_DATA, gxv_just_wdcTable_LookupValue_validate(), gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, GXV_ValidatorRec_::lookupval_func, and GXV_ValidatorRec_::lookupval_sign.

Referenced by gxv_just_justData_validate().

static void gxv_just_justData_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 579 of file gxvjust.c.

References FT_NEXT_USHORT, GXV_EXIT, gxv_just_justClassTable_validate(), gxv_just_justData_lookuptable_validate(), gxv_just_postcompTable_validate(), gxv_just_widthDeltaClusters_validate(), GXV_LIMIT_CHECK, GXV_NAME_ENTER, GXV_ODTECT, gxv_odtect_add_range(), GXV_ODTECT_INIT, gxv_odtect_validate(), GXV_TRACE, GXV_ValidatorRec_::root, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_validate().

static void gxv_just_pcActionRecord_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 378 of file gxvjust.c.

References FT_NEXT_ULONG, GXV_EXIT, gxv_just_actSubrecord_validate(), GXV_LIMIT_CHECK, GXV_TRACE, i, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_postcompTable_validate().

static void gxv_just_pcLookupTable_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 418 of file gxvjust.c.

References GXV_EXIT, GXV_JUST_DATA, gxv_just_pcTable_LookupValue_entry_validate(), gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, GXV_NAME_ENTER, GXV_ValidatorRec_::lookupval_func, and GXV_ValidatorRec_::lookupval_sign.

Referenced by gxv_just_postcompTable_validate().

static void gxv_just_pcTable_LookupValue_entry_validate | ( | FT_UShort | glyph,
|  | GXV_LookupValueCPtr | value_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 404 of file gxvjust.c.

References FT_UNUSED, GXV_JUST_DATA, and GXV_LookupValueDesc_::u.

Referenced by gxv_just_pcLookupTable_validate().

static void gxv_just_postcompTable_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 441 of file gxvjust.c.

References GXV_EXIT, gxv_just_pcActionRecord_validate(), gxv_just_pcLookupTable_validate(), GXV_NAME_ENTER, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_justData_validate().

gxv_just_validate | ( | FT_Bytes | table,
|  | FT_Face | face,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 643 of file gxvjust.c.

References GXV_ValidatorRec_::face, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, GXV_INIT, gxv_just_justData_validate(), GXV_LIMIT_CHECK, GXV_ODTECT, gxv_odtect_add_range(), GXV_ODTECT_INIT, gxv_odtect_validate(), GXV_TRACE, GXV_ValidatorRec_::root, GXV_ValidatorRec_::subtable_length, GXV_ValidatorRec_::table_data, and version.

static void gxv_just_wdc_entry_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 128 of file gxvjust.c.

References FT_NEXT_ULONG, gxv_just_wdp_entry_validate(), GXV_LIMIT_CHECK, GXV_TRACE, i, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_widthDeltaClusters_validate().

static void gxv_just_wdcTable_LookupValue_validate | ( | FT_UShort | glyph,
|  | GXV_LookupValueCPtr | value_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 540 of file gxvjust.c.

References FT_UNUSED, GXV_JUST_DATA, and GXV_LookupValueDesc_::u.

Referenced by gxv_just_justData_lookuptable_validate().

static void gxv_just_wdp_entry_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 85 of file gxvjust.c.

References FT_INVALID_DATA, FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_wdc_entry_validate().

static void gxv_just_widthDeltaClusters_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 150 of file gxvjust.c.

References FT_INVALID_OFFSET, GXV_EXIT, GXV_JUST_DATA, gxv_just_wdc_entry_validate(), GXV_NAME_ENTER, i, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_just_justData_validate().